> For the complete documentation index, see [llms.txt](https://docs.kojascripts.eu/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.kojascripts.eu/new/daily-rewards/guides/creating-editing-locales.md).

# Creating/Editing Locales

To create your own language, start by making a JSON file inside the `locales/` folder. The file name will be used in the configuration to set the language.

{% code title="locales/en.json" %}

```json
{
  "ui": {
    "nextReward": "Until Next Reward:",
    "basic": "BASIC",
    "premium": "PREMIUM",
    "hidden_title": "Oh Oh !",
    "hidden_desc": "Seems like you dont have premium bought. You can purchase it <span id='buy'>here.</span>",
    "daily": "Daily",
    "weekly": "Weekly",
    "monthly": "Monthly",
    "premium_status": "Premium Status",
    "premium_enabled": "Enabled",
    "premium_disabled": "Disabled",
    "premium_input": "Enter Code...",
    "main_title": "REWARDS",
    "sec_title": "DAILY",
    "main_desc": "Welcome to your daily reward system! Earn exciting rewards by logging in and playing on the server. Stay active, complete missions, and unlock even more exclusive prizes every day!",
    "modal_title": "Are you sure?",
    "modal_desc": "You want to redeem your reward now.",
    "modal_confirm": "Confirm",
    "modal_cancel": "Cancel",
    "menu": {
      "title": "Admin Menu",
      "description": "Here you can manage promocodes",
      "generate": "Generate",
      "create_title": "Create",
      "create_description": "Create a new promocode.",
      "give_title": "Give",
      "give_description": "Give someone a promocode manually.",
      "day": "Day",
      "week": "Week",
      "month": "Month",
      "check": "Check"
    }
  },
  "game": {
    "notification": {
      "title": "Notification",
      "success": "Action completed successfully",
      "error": "An error occurred",
      "duration": 5000
    },
    "promocode": {
      "success": "The promo code has been successfully used!",
      "error": "The promo code is invalid or has already been used.",
      "noexistplayer": "The specified player is not on the server!",
      "successpremiumset": "Premium status has been successfully granted!",
      "withoutpremium": "The specified player does not have premium status!",
      "withpremium": "The specified player has premium status!",
      "nouses": "No number of uses provided!",
      "nodate": "No date provided!",
      "successgeneratecode": "Successfully created promo code: %code",
      "noPerms": "You do not have permission to open this menu!"
    },
    "rewards": {
      "claim": "Successfully claimed day %day"
    },
    "achievements": {
      "title_success": "Success!",
      "title_progress": "Progress!",
      "desc_success": "You have successfully completed the mission: {title}!",
      "desc_progress": "Mission '{title}' is in progress: {progress}/{needed}. Keep going!"
    }
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.kojascripts.eu/new/daily-rewards/guides/creating-editing-locales.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
